Package ru.bgcrm.plugin.bgbilling.creator

# Class Config

java.lang.Object
org.bgerp.app.cfg.Config
ru.bgcrm.plugin.bgbilling.creator.Config

public class Config extends Config

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `Config.ParameterGroupTitlePatternRule`

  ## Nested classes/interfaces inherited from class org.bgerp.app.cfg.Config

  `Config.InitStopException`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final List<Parameter>`
  `confirmParameterList`
  `final Set<String>`
  `importBillingIds`
  `final List<Parameter>`
  `importParameterList`
  `final List<Parameter>`
  `searchParameterList`
  `final List<ServerCustomerCreator>`
  `serverCreatorList`

  ### Fields inherited from class org.bgerp.app.cfg.Config

  `EMPTY, log`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Config(ConfigMap setup)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Config.ParameterGroupTitlePatternRule`
  `getCustomerParameterGroup(String contractTitle)`
  `int`
  `getMaxTitleDistance(int paramId)`
  `ServerCustomerCreator`
  `getServerCustomerCreator(String billingId, Connection con)`

  ### Methods inherited from class org.bgerp.app.cfg.Config

  `initWhen, throwValidationException`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### serverCreatorList

    public final List<ServerCustomerCreator> serverCreatorList

  - ### importBillingIds

    public final Set<String> importBillingIds

  - ### confirmParameterList

    public final List<Parameter> confirmParameterList

  - ### searchParameterList

    public final List<Parameter> searchParameterList

  - ### importParameterList

    public final List<Parameter> importParameterList

- ## Constructor Details

  - ### Config

    public Config(ConfigMap setup)

- ## Method Details

  - ### getCustomerParameterGroup

    public Config.ParameterGroupTitlePatternRule getCustomerParameterGroup(String contractTitle)

  - ### getServerCustomerCreator

    public ServerCustomerCreator getServerCustomerCreator(String billingId, Connection con)

  - ### getMaxTitleDistance

    public int getMaxTitleDistance(int paramId)